### Function

# Gtk test_accessible_has_role

since: 4.0

#### Declaration [src]

    gboolean
    gtk_test_accessible_has_role (
      GtkAccessible* accessible,
      GtkAccessibleRole role
    )

#### Description [src]

Checks whether the `GtkAccessible:accessible-role` of the accessible is `role`.

Available since: 4.0

#### Parameters

`accessible`

  Type: `GtkAccessible`

  A `GtkAccessible`

  The data is owned by the caller of the function.

`role`

  Type: `GtkAccessibleRole`

  A `GtkAccessibleRole`

#### Return value

Type: `gboolean`

`TRUE` if the role matches.